<template>
  <content-section class="bg-orange-100">
    <template #heading>
      <h2>{{ heading }}</h2>
    </template>

    <template #default>
      <item-grid class="-my-4">
        <template v-for="({ id, item }, index) in items">
          <checklist-item
            :key="index"
            v-bind="item"
            class="max-w-lg w-full sm:mx-6 lg:max-w-xl"
            :class="[{ 'my-4': id > 0 }]"
          />
        </template>
      </item-grid>
    </template>
  </content-section>
</template>

<script>
import ChecklistItem from '~/components/common/ChecklistItem';

export default {
  name: 'ServicioFeaturesSection',
  components: {
    ChecklistItem,
  },
  props: {
    heading: { type: String, default: undefined },
    checklistItems: { type: Array, default: () => [] },
  },
  computed: {
    indexedItems() {
      return this.checklistItems.map((item, index) => ({
        id: index + 1,
        item,
      }));
    },
    items() {
      if (this.indexedItems.length % 2 != 0) {
        const fakeItem = { id: 0, item: undefined };
        return [...this.indexedItems, fakeItem];
      }

      return this.indexedItems;
    },
  },
};
</script>
